## kernel-package-cclub 8.095-007

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 15:53:52 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Mon Feb 16 18:19:45 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 19
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix=
package = kernel-package-cclub

CONFLOC    := /etc/kernel-pkg.conf
LIBLOC     := /usr/share/kernel-package
MODULE_LOC := /usr/src/modules

DOCFILES = README.doc README.headers README.image README.modules \
           README.source README.tecra 
EXAMPLES = sample.kernel-img.conf kernel_grub_conf.sh sample.posthook.sh

# where kernel-package files go to
DEBDIR     = $(LIBLOC)
DEBDIR_NAME= $(shell basename $(DEBDIR))

DOCDIR     = $(prefix)/usr/share/doc/$(package)
MAN1DIR    = $(prefix)/usr/share/man/man1
MAN5DIR    = $(prefix)/usr/share/man/man5
MAN8DIR    = $(prefix)/usr/share/man/man8
ES_MAN1DIR = $(prefix)/usr/share/man/es/man1
ES_MAN5DIR = $(prefix)/usr/share/man/es/man5
ES_MAN8DIR = $(prefix)/usr/share/man/es/man8
FR_MAN1DIR = $(prefix)/usr/share/man/fr/man1
FR_MAN5DIR = $(prefix)/usr/share/man/fr/man5
FR_MAN8DIR = $(prefix)/usr/share/man/fr/man8



BASH_DIR:= $(prefix)/etc/bash_completion.d

# install commands
install_file   = install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory = install -p -d -o root -g root -m 755

all build: check

check:
	perl -wc make-kpkg
	perl -wc kernel/image.preinst
	perl -wc kernel/image.postinst
	perl -wc kernel/image.postrm
	perl -wc kernel/image.prerm
	perl -wc kernel/include.postinst
	bash -n kernel/kernel_grub_conf.sh
	bash -n kernel/kernel_grub_rm.sh
	bash -n kernel/sample.posthook.sh

install:
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN5DIR)
	$(make_directory)  $(MAN8DIR)
	$(make_directory)  $(ES_MAN1DIR)
	$(make_directory)  $(ES_MAN5DIR)
	$(make_directory)  $(ES_MAN8DIR)
	$(make_directory)  $(FR_MAN1DIR)
	$(make_directory)  $(FR_MAN5DIR)
	$(make_directory)  $(FR_MAN8DIR)
	$(make_directory)  $(DOCDIR)/examples
	$(make_directory)  $(BASH_DIR)
	$(make_directory)  $(prefix)/usr/bin
	$(make_directory)  $(prefix)/usr/sbin
	$(make_directory)  $(prefix)/usr/share/kernel-package
	$(install_file)    debian/changelog             $(DOCDIR)/changelog
	$(install_file)    README                       $(DOCDIR)/README
	$(install_file)    kernel/Flavours              $(DOCDIR)/Flavours
	$(install_file)    kernel/HOWTO-Linux-2.6-Woody $(DOCDIR)/
	$(install_file)    Problems                     $(DOCDIR)/Problems
	$(install_file)    _make-kpkg                   $(BASH_DIR)/make_kpkg
	$(install_file)    Multi-Arch                   $(DOCDIR)/Multi-Arch
	$(install_file)    Rationale                    $(DOCDIR)/Rationale
	gzip -9fqr         $(DOCDIR)
	(cd $(DOCDIR);     for file in $(DOCFILES); do \
                            ln -s ../../kernel-package/$$file $$file; \
                           done)
	$(install_file)    debian/copyright  	   $(DOCDIR)/copyright
	$(install_file)    kernel-pkg.conf.5 	   $(MAN5DIR)/kernel-pkg.conf.5
	$(install_file)    kernel-img.conf.5 	   $(MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.5  	   $(MAN5DIR)/kernel-package.5
	$(install_file)    make-kpkg.8       	   $(MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.8  	   $(MAN8DIR)/
	$(install_file)    kernel-pkg.conf.es.5 	   $(ES_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.es.5 	   $(ES_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.es.5  	   $(ES_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.es.8       	   $(ES_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.es.8     \
                                                     $(ES_MAN8DIR)/kernel-packageconfig.8 
	$(install_file)    kernel-pkg.conf.fr.5 	   $(FR_MAN5DIR)/kernel-pkg.conf.5 
	$(install_file)    kernel-img.conf.fr.5 	   $(FR_MAN5DIR)/kernel-img.conf.5
	$(install_file)    kernel-package.fr.5  	   $(FR_MAN5DIR)/kernel-package.5  
	$(install_file)    make-kpkg.fr.8       	   $(FR_MAN1DIR)/make-kpkg.1
	$(install_file)    kernel-packageconfig.fr.8     \
                                                     $(FR_MAN8DIR)/kernel-packageconfig.8 
	gzip -9fqr         $(prefix)/usr/share/man
	$(install_file)    kernel-pkg.conf $(prefix)/etc/kernel-pkg.conf
	$(install_program) kernel-packageconfig \
		           $(prefix)/usr/sbin/kernel-packageconfig
	$(install_program) make-kpkg $(prefix)/usr/bin/make-kpkg
	(cd kernel;        tar cf - * | \
           (cd             $(prefix)/usr/share/kernel-package; umask 000;\
                           tar xpf -))
	(cd $(DOCDIR);     for file in $(EXAMPLES); do \
                            mv ../../kernel-package/$$file examples/; \
                           done)
	find $(prefix)/usr/share/kernel-package -type d -name .arch-ids -print0 | \
           xargs -0r rm -rf
	$(install_file)    Rationale $(prefix)/usr/share/kernel-package/
# Hack, tell the   rules file what version of kernel package it is
	sed -e             's/=K=V/$(version)/' kernel/rules > \
                              $(prefix)/usr/share/kernel-package/rules
	chmod  0755          $(prefix)/usr/share/kernel-package/rules

clean distclean:
	@echo nothing to do for clean

## kernel-package-cclub 7.107

=== debian/changelog ===
kernel-package-cclub (7.107) unstable; urgency=low

  *  marks debian as phony and removes it from stamp-* dependencies where
    stamp-debian is used instead. Thanks to Herbert Xu for the patch.
                                                             closes: Bug#142773

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Apr 2002 11:52:46 -0500

kernel-package (7.106) unstable; urgency=medium

  * Only move initrd symlinks when we move image symlinks.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 21:11:28 -0500

kernel-package (7.105) unstable; urgency=medium

  * Fixed various typos in the kernel-doc package descriptions. 
                                                             closes: Bug#140709
  * Changed the bash complewtions function name.             closes: Bug#142492
  * Fixed a last check to aid cross compilation              closes: Bug#142044
  * Fixed a bunch of typos in diagnostics.                   closes: Bug#142234
  * Really remove dangling symlinks on purge.                closes: Bug#141483
  * Only move image symlinks around if we are not being upgraded. Thaks to
    Herbert Xu for suggesting this.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Apr 2002 15:02:14 -0500

kernel-package (7.104) unstable; urgency=low

  * Fix the rules file to short circuit a twisty set of confusing
    dependencies for configuration related targets.  The bug it closes
    used an non-standard build method (--rootcmd fakeroot is how I do it),
    but it used to work before, and it should do so again. Hopefully
    nothing else broke.                                      closes: Bug#140455

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 29 Mar 2002 09:59:40 -0600

kernel-package (7.103) unstable; urgency=low

  * Added the potential value AUTO for PATCH_THE_KERNEL, which is useful
    when you want the patches applied whenever you set
    --applied-patches. One would not want to set the variable to YES,
    since that would apply all patches willy nilly when you did not use
    the --applied-pacthes option.                            closes: Bug#140047

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Mar 2002 21:23:49 -0600

kernel-package (7.102) unstable; urgency=low

  * revert the last change, since rebuilding the kernel-image may well be
    too onerous. Also, this may not actually fix 39276. closes: Bug#139606
    BTW, I don't think this was important, this is merely a normal bug. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Mar 2002 11:30:38 -0600

kernel-package (7.101) unstable; urgency=low

  * It is supposed to be $(filter-out), not $(filler-out).   closes: Bug#139272
  * Hmm. Make the modules tarhet depend on stamp-image, so make knows not
    to try and build the modules packages is the kernel-image build
    fails. It does mean though that you need a stamp-image file in the
    diretory in order to build the modules -- not a biggie since building
    modules fails anyway                                     closes: Bug#139276
  
 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Mar 2002 09:52:23 -0600

kernel-package (7.100) unstable; urgency=low

  * Hmm. There was a bug report that said kernel-package does not call
    make correctly when concurrency is set; however, this happens to be a
    mischaracterization. The top level make call a recursive make: $(MAKE)
    -j2; the level 2 make then calls another sub make, and the level 3
    make spits out the error that it is running with -j1, as documneted. I
    have cleaned up soe of the rules involved to get greater transparency
    in the phenomena. Also, remove benign warning about not finding the
    MODULES_LOC dir.                                         closes: Bug#139132
  * Make the bash completions file go in the right place.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 19 Mar 2002 23:11:59 -0600

kernel-package (7.99) unstable; urgency=high

  * The last fix broke kernel-package.                       closes: Bug#138684

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 23:25:26 -0600

kernel-package (7.98) unstable; urgency=low

  * Changed a potentially confusing postinst message.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 11:19:02 -0600

kernel-package (7.97) unstable; urgency=low

  * Don't issue a boot block warning if we are not installing a boot
    loader.                                                  closes: Bug#138534
  * Thanks to "Dr. Rafael Sepulveda" <drs@gnulinux.org.mx>, we havce a
    bash completions file for make-kpkg.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 16 Mar 2002 01:38:48 -0600

kernel-package (7.96) unstable; urgency=low

  * Support labels in /etc/fstab. closes: Bug#121127, Bug#136949

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Mar 2002 14:53:47 -0600

kernel-package (7.95) unstable; urgency=low

  * Added an undocumented feature: if ./debian/post-install exists, it
    shall be executed during the image build process. This allows people
    (well, this is designed for kernel-image maintainers) to hack the
    package before dpkg-* are called.                        closes: Bug#136735
  * Fixed missed up $(DEB_BUILD_ARCH) -> $(DEB_HOST_ARCH)    closes" Bug#136738

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  4 Mar 2002 16:42:12 -0600

kernel-package (7.94) unstable; urgency=low

  * bumped the default version.                              closes: Bug#136432

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  3 Mar 2002 12:09:00 -0600

kernel-package (7.93) unstable; urgency=low

  * Kernel-package currently has no proper bootloader handling for
    mipsel. This patch, provided by (a modification by the origina;l
    written by Guido Guenther <agx@debian.org>) Karsten Merker
    <karsten@excalibur.cologne.de>, adds this capability.    closes: Bug#136331

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 Mar 2002 11:56:50 -0600

kernel-package (7.92) unstable; urgency=low



=== debian/control ===
Source: kernel-package-cclub
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.5.5.0

Package: kernel-package-cclub
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian kernel-image
 package by just running make-kpkg kernel_image in a kernel source
 directory tree.  It can also package the relevant kernel headers into
 a kernel-headers package. In general, this package is very useful if
 you need to create a custom kernel, if, for example, the default
 kernel does not support some of your hardware, or you wish a leaner,
 meaner kernel.  It also scripts the steps that need be taken to
 compile the kernel, which is quite convenient (forgetting a crucial
 step once was the initial motivation for this package). Please look at 
 /usr/share/doc/kernel-package/Rationale.gz for a full list of advantages
 of this package.
 .
 If you are running on an intel x86 platform, and you wish to compile a
 custom kernel (why else are you considering this package?), then you may
 need the package bin86 as well.  (This is not required on other platforms).
Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
Recommends: libc-dev, gcc, debianutils, make
Suggests: kernel-source, libdb3-dev, libncurses-dev
Architecture: all

## kernel-package-cclub 8.095-007

=== debian/changelog ===
kernel-package-cclub (8.095-007) unstable; urgency=low

  * Symlinks are forced to make relative links (aboot has issues).

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Thu, 07 Oct 2004 16:51:11 -0400

kernel-package-cclub (8.095-006) unstable; urgency=low

  * Fixed symlinks in boot error (link_in_boot).
  * Synced with kernel-package 8.095.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Wed, 06 Oct 2004 11:50:53 -0400

kernel-package-cclub (8.094-005) unstable; urgency=low

  * Removed redundant architecture field in package names.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 15:37:06 -0400

kernel-package-cclub (8.094-004) unstable; urgency=low

  * Changed /usr/share/kernel-package-cclub => /usr/share/kernel-package

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 14:28:17 -0400

kernel-package-cclub (8.094-003) unstable; urgency=low

  * More control file updates.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 12:20:17 -0400

kernel-package-cclub (8.094-002) unstable; urgency=low

  * Control file updates.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Sat, 25 Sep 2004 17:44:31 -0400

kernel-package-cclub (8.094-001) unstable; urgency=low

  * Initial Release.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Sat, 25 Sep 2004 17:44:31 -0400

kernel-package (8.095) unstable; urgency=high

  * Urgency high since unpatching should indeed reverse the order in which
    patches are reversed.
  * Bug fix: "kernel-package: incorrect handling of --cross-compile
    option", thanks to Eric C. Cooper                        (Closes: #272786).
  * Bug fix: "kernel-package: typo in the kernel-pkg.conf.5 man page",
    thanks to Nicolas François                               (Closes: #272244).
  * Bug fix: "implicit rules for unpatching don't reverse list of
    patches", thanks to Joshua Kwan                           (Closes: #273456).
  * kernel-package: wish it had support for UML. This enhancement has been
    solely the work of  Ralph Paßgang <ralph@debianbase.de>, who worked
    hard withing the current infrastructure to implement the creation of
    UML packages. Try something like this:
      make-kpkg --revision 1um-1 --arch um  kernel-image
    the resulting package will be called:
      kernel-uml-<version>_<revision>_<buildarch>.deb
    It will include the linux executable in /usr/bin, and the uml modules
    in /usr/share/kernel-uml/modules/$VERSION/
                                                              (Closes: #273456).
  * Bug fix: "kernel-package: make-kpkg goes into endless loop while
    calling /sbin/depmod", thanks to Elias Pschernig           (Closes: #272129).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Sep 2004 20:26:04 -0500

kernel-package (8.094) unstable; urgency=high

  * Urgency High since there are severe bugs related to patching and
    unpatching kernel patches which are buggy.
  * Bug fix: "kernel-package: subarch detection fails on powerpc XServe G5
    systems", thanks to Colin Watson                        (Closes: #270314).
  * Bug fix: "make-kpkg: fails to unpatch the source", thanks to martin f
    krafft                                                  (Closes: #270169).
  * Bug fix: "kernel-package: applied_patches lists patches that didn't
    apply", thanks to martin f krafft                       (Closes: #270158).
  * Bug fix: "kernel-package: files should move to examples/", thanks to
    martin f krafft                                         (Closes: #269411).
  * Bug fix: "kernel-package: non-interactive install: reverse the abort
    yes/no, please", thanks to Alexander Zangerl            (Closes: #267926).
  * Bug fix: "Please install kernel image files *before* calling
    post-install script", thanks to Jens Schmalzing         (Closes: #267397).
  * Bug fix: "kernel-package: typo in manpage", thanks to martin f krafft
                                                            (Closes: #270611).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 10 Sep 2004 10:41:12 -0500

kernel-package (8.093) unstable; urgency=low

  * Bug fix: "kernel-package: [INTL:es] spanish manpage update", thanks to
    Ruben Porras                                           (Closes: #263060).
  * Bug fix: "French manpage", thanks to Sylvain Cherrier  (Closes: #263990).
  * Bug fix: "bash:ism in kernel_grub_conf.sh", thanks to David Weinehall
                                                           (Closes: #261963).
  * Bug fix: "kernel-package - produced initrd enabled packages depends
    against initrd-tools but checks for mkinitrd in preinst", thanks to
    Bastian Blank                                           (Closes: #263214).
  * Bug fix: "kernel-package: please support powerpc64", thanks to Rafael
    Ávila de Espíndola                                      (Closes: #263746).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  6 Aug 2004 16:16:25 -0500

kernel-package (8.092) unstable; urgency=low

  * Bug fix: "make-kpkg(1) could be more explicit about MODULE_LOC",
    thanks to Lars Wirzenius                                (Closes: #258393).
  * Bug fix: "kernel-package: wrong macro in kernel-img.conf.5", thanks to
    Philippe Batailler                                      (Closes: #257584).
  * Bug fix: "XSI:isms and other nitpicking", thanks to David Weinehall
                                                            (Closes: #256107).
  * Bug fix: "kernel-package: extra sentence in manpage", thanks to martin
    f krafft                                                (Closes: #257721).
  * Bug fix: "kernel-package: problem in the manpage kernel-img.conf",
    thanks to Philippe Batailler                            (Closes: #258836).
  * Bug fix: "kernel-package: modules_clean target does not pay attention
    to --added_modules", thanks to Oystein Gisnas           (Closes: #258586).
  * Bug fix: "kernel-package: [INTL:es] spanish manpage updates", thanks


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: kernel-package-cclub
 Priority: optional
 Section: misc
-Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.5.5.0
+Maintainer: Mike Kasick <mkasick@club.cc.cmu.edu>
+Standards-Version: 3.6.1.0
 
 Package: kernel-package-cclub
-Description: Debian Linux kernel package build scripts.
+Description: A utility for building Linux kernel related Debian packages.
  This package provides the capability to create a debian kernel-image
  package by just running make-kpkg kernel_image in a kernel source
  directory tree.  It can also package the relevant kernel headers into
@@ -21,7 +21,10 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl5, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>= 4.0)
-Recommends: libc-dev, gcc, debianutils, make
-Suggests: kernel-source, libdb3-dev, libncurses-dev
+Depends: perl, dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), gcc | c-compiler, make
+Recommends: libc6-dev | libc-dev
+Suggests: kernel-source-cclub, libdb3-dev, libncurses-dev, docbook-utils
 Architecture: all
+Conflicts: kernel-package
+Replaces: kernel-package
+Provides: kernel-package
